Bug 1568086 - ceilometer notification agent throws Duplicate event detected log frequently
Summary: ceilometer notification agent throws Duplicate event detected log frequently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-panko
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: z2
: 13.0 (Queens)
Assignee: Mehdi ABAAKOUK
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 18:08 UTC by Pradeep Kilambi
Modified: 2018-08-29 16:21 UTC (History)
8 users (show)

Fixed In Version: openstack-panko-4.0.2-1.el7ost
Doc Type: Rebase: Bug Fixes Only
Doc Text:
This rebase package applies to version Panko 4.0.2. Previously, Panko logged an information message when a duplicate event was received and it was skipping it. This logging message has been modified to be used only in debug mode.
Clone Of:
Environment:
Last Closed: 2018-08-29 16:21:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 569446 0 None master: MERGED panko: storage: hide useless logs (I86b64e5cf370386dab6f962b09029feeb35a9dbf) 2018-07-19 01:40:23 UTC
OpenStack gerrit 572289 0 None stable/queens: MERGED panko: storage: hide useless logs (I86b64e5cf370386dab6f962b09029feeb35a9dbf) 2018-07-19 01:40:17 UTC
Red Hat Product Errata RHBA-2018:2587 0 None None None 2018-08-29 16:21:37 UTC

Description Pradeep Kilambi 2018-04-16 18:08:41 UTC
Ceilometer notification agent logs seem to be flooded with db error as info on the lines of

2018-04-16 17:03:28.646 27 INFO panko.storage.impl_sqlalchemy [-] Duplicate event detected, skipping it: (pymysql.err.IntegrityError) (1062, u"Duplicate entry '947a572d-1a7c-4e2c-8300-45038815efcf' for key 'message_id'") [SQL: u'INSERT INTO event (message_id, `generated`, raw, event_type_id) VALUES (%(message_id)s, %(generated)s, %(raw)s, %(event_type_id)s)'] [parameters: {'raw': '{}',
[13:04]  <rook> 'generated': Decimal('1523898208.625576'), 'event_type_id': 185, 'message_id': u'947a572d-1a7c-4e2c-8300-45038815efcf'}] (Background on this error at: http://sqlalche.me/e/gkpj)

as per rook, "I am seeing this quite often -- over 5k times in the last 15 minutes"

looks like a logging issue, we should switch from info to debug on this so we dont flood the logs?

Comment 8 Joanne O'Flynn 2018-08-13 10:03:00 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 9 Sasha Smolyak 2018-08-23 09:48:59 UTC
The log is clear, verified

Comment 11 errata-xmlrpc 2018-08-29 16:21:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2587


Note You need to log in before you can comment on or make changes to this bug.